#ifndef __MOD_TIDY_H__
#define __MOD_TIDY_H__

/* mod_tidy.h -- Defines mod_tidy API headers.

  (c) 2005 Sierk Bornemann
  See mod_tidy.c for the copyright notice.


  SVN Info:

    $Author: bornemann $ 
    $Date: 2005-10-20 13:28:34 +0200 (Thu, 20 Oct 2005) $ 
    $Revision: 27 $ 

*/

#ifdef __cplusplus
extern "C" {
#endif

/* mod_tidy memory management */
void mod_tidy_FatalError( ctmbstr msg );
void *mod_tidy_MemAlloc( size_t size );
void mod_tidy_MemFree( void *mem );
void *mod_tidy_MemRealloc( void *mem, size_t newsize );

module AP_MODULE_DECLARE_DATA tidy_module;

typedef struct {
	apr_table_t* tidyoptions;
} mod_tidy_config; 

typedef struct mod_tidy_struct {
    apr_bucket_brigade *bb;
	apr_bucket_alloc_t *ba;
	ap_filter_t *f;
	
	TidyDoc	tidyDoc;
	TidyBuffer errbuf;
	TidyBuffer htmlbuf;
} mod_tidy_struct;

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __MOD_TIDY_H__ */
